import { PromoDealsClient } from "@/components/shared/promo-deals-client";
import { Locale } from "@/i18n/routing";
import { getPromoDealsData } from "@/utils/get-fake-data";

interface PromoDealsProps {
  locale: Locale;
}

export default async function PromoDeals({ locale }: PromoDealsProps) {
  const data = await getPromoDealsData();

  return <PromoDealsClient data={data} locale={locale} />;
}
